package org.openxma.dsl.generator.output;

import org.eclipse.xpand2.output.FileHandle;
import org.eclipse.xpand2.output.Outlet;
import org.eclipse.xpand2.output.VetoException;
import org.openxma.dsl.generator.component.DelegatingFileHandle;

public class JavaOutlet extends Outlet {

    public JavaOutlet(String path) {
        super(path);
    }

    public FileHandle createFileHandle(String filePath) throws VetoException {
		return new DelegatingFileHandle(super.createFileHandle(filePath));
	}
}
